com.impinj.octane

## Enum XArrayMode

- java.lang.Object
- - java.lang.Enum<XArrayMode>
  - - com.impinj.octane.XArrayMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XArrayMode>

  Deprecated.

      @Deprecated
      public enum XArrayMode
      extends java.lang.Enum<XArrayMode>

  Deprecated. Please use the SpatialMode enumeration. An enumeration to describe the different xArray modes of operation.
  See Also:
    `SpatialMode`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Direction` Deprecated. Direction mode.
    `Location` Deprecated. Location mode.
    `WideAreaMonitor` Deprecated. Wide Area Monitor mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XArrayMode` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static XArrayMode[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WideAreaMonitor

          public static final XArrayMode WideAreaMonitor

      Deprecated.
      Wide Area Monitor mode. xArray will perform a tag inventory on all antennas.

    - #### Location

          public static final XArrayMode Location

      Deprecated.
      Location mode. xArray will report tag location.

    - #### Direction

          public static final XArrayMode Direction

      Deprecated.
      Direction mode. xArray will report tag direction.

  - ### Method Detail

    - #### values

          public static XArrayMode[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XArrayMode c : XArrayMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XArrayMode valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null